VFS_UNMOUNT(9)

NAME
VFS_UNMOUNT - unmount a file system

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_UNMOUNT(struct mount *mp, int mntflags);

DESCRIPTION
The VFS_UNMOUNT() macro unmounts a file system.

The arguments it expects are:

mp  The file system.

mntflags
    Bit-mask of flags for the unmount operation. The flags currently supported by VFS_UNMOUNT() are:

    MNT_FORCE
        Open files are forcibly closed before the file system is unmounted.

SEE ALSO
vflush(9), VFS(9), vnode(9)

AUTHORS
This manual page was written by Doug Rabson.